# Hide Export Options Plugin

## Description

This plugin allows an admin to hide export options from a widget's download menu. Features include the ability to select specific charts and menu options to hide and the ability to whitelist user roles so these users can continue to view and use all download options.

## Installation

Simply extract this folder into your Sisense installation's *../PrismWeb/plugins* directory. From there, you can manipulate the included config.js file to configure which download options you would like to hide.

## Configuration

By changing the values inside the arrays in *config.js*, the user can change  which menu options are hidden and configure which chart types are affected. Additionally, the user can whitelist certain roles, or allow them to still view the export options. By default, the 'admin' is still allowed to view and use all download options. Below are two tables containing chart and role names and their corresponding config.js values.

### 'Supported Widgets' Translation Table

| Chart to be Affected | Config Value |
|---|---|
| Indicator | 'indicator' |
| Pie | 'chart/pie' |
| Column | 'chart/column' |
| Bar | 'chart/bar' |
| Line | 'chart/line' |
| Area Chart | 'chart/area' |
| Pivot | 'pivot' |
| Table | 'tablewidget' |
| Scatter | 'chart/scatter' |
| Treemap | 'treemap' |
| Calendar Heatmap | 'heatmap' |
| Scatter Map | 'map/scatter' |
| Area Map | 'map/area' |
| Sunburst | 'sunburst' |
| Box & Whisker | 'chart/boxplot' |
| Polar | 'chart/polar' |

### 'Search Terms' Translation Table

| Menu Item to Hide | Config Value |
|---|---|
| Image | 'image' |
| CSV File | 'csv' |
| PDF File | 'pdf' |
| Excel File | 'excel' |

### 'Supported Roles' Translation Table

| Role Name to Whitelist | Config Value |
|---|---|
| Sys. Admin | 'super' |
| Data Admin | 'dataAdmin' |
| Data Designer | 'dataDesigner' |
| Designer | 'contributor' |
| Viewer | 'consumer' |

## Limitations

- In the current version, the effects are applied to all listed chart types for all non-whitelisted users.